Package org.eclipse.m2m.atl.engine.vm.nativelib

# Class ASMNumber

java.lang.Object
org.eclipse.m2m.atl.engine.vm.nativelib.ASMNativeObject
org.eclipse.m2m.atl.engine.vm.nativelib.ASMOclAny
org.eclipse.m2m.atl.engine.vm.nativelib.ASMNumber

Direct Known Subclasses:
  `ASMInteger`, `ASMReal`

public abstract class ASMNumber extends ASMOclAny

## Field Summary

Fields
Modifier and Type
Field
Description
`static ASMOclType`
`myType`

### Fields inherited from class org.eclipse.m2m.atl.engine.vm.nativelib.ASMNativeObject

`nativeImpl`

## Constructor Summary

Constructors
Constructor
Description
`ASMNumber(ASMOclType myType)`

## Method Summary

Modifier and Type
Method
Description
`abstract double`
`asDouble()`

### Methods inherited from class org.eclipse.m2m.atl.engine.vm.nativelib.ASMOclAny

`asBag, asSequence, asSet, check, debug, findOperation, findOperation, get, getHelper, getNamedTargetFromSource, getOclAnyType, getType, invoke, invoke, invokeSuper, isHelper, oclIsKindOf, oclIsTypeOf, oclIsUndefined, oclType, operatorEQ, operatorNE, output, refGetValue, refImmediateComposite, refImmediateComposite, refInvokeOperation, refSetValue, refUnsetValue, set, setType, toString, unset`

### Methods inherited from class org.eclipse.m2m.atl.engine.vm.nativelib.ASMNativeObject

`getNativeImpl`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### myType

public static ASMOclType myType

## Constructor Details

### ASMNumber

public ASMNumber(ASMOclType myType)

## Method Details

### asDouble

public abstract double asDouble()